### Method

# GimpUi IntComboBox set_label

since: 2.10

#### Declaration [src]

    void
    gimp_int_combo_box_set_label (
      GimpIntComboBox* combo_box,
      const gchar* label
    )

#### Description [src]

Sets a caption on the `combo_box` that will be displayed left-aligned inside the box. When a label is set, the remaining contents of the box will be right-aligned. This is useful for places where screen estate is rare, like in tool options.

Available since: 2.10

Sets property | `GimpUi.IntComboBox:label`

#### Parameters

`label`

  Type: `const gchar*`

  A string to be shown as label.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.